## hugo 0.15%2Bgit20160206.203.ed23711

=== debian/changelog ===
hugo (0.15+git20160206.203.ed23711-1) unstable; urgency=high

  * New upstream snapshot:
     - Fix Hugo hang up with empty content directory
  * Depend on a newer version of golang-github-spf13-afero-dev
    (>= 0.0~git20160125.0.a5d3e7c) to ensure theme's static files
    are synchronized
  * Special thanks to Tatsushi Demachi (@tatsushid) for fixing
    the two high-priority bugs listed above.

 -- Anthony Fok <foka@debian.org>  Sat, 06 Feb 2016 18:43:24 +0800

hugo (0.15+git20160128.179.5def6d9-1) unstable; urgency=medium

  * New upstream snapshot
  * Update dependencies on latest Afero and Cobra with matching APIs
    (Closes: #812645)

 -- Anthony Fok <foka@debian.org>  Fri, 29 Jan 2016 15:12:18 +0800

hugo (0.15+git20160109.147.dd1d655-2) unstable; urgency=medium

  * Allow the use of gccgo on architectures without golang-go
  * Remove manual fixes to auto-generated hugo-server.1 man page
    now that golang-github-cpuguy83-go-md2man-dev (1.0.5-1) is here
  * Depends on latest golang-github-go-fsnotify-fsnotify-dev (>= 1.2.9)
    for recent fixes

 -- Anthony Fok <foka@debian.org>  Thu, 14 Jan 2016 05:46:38 -0700

hugo (0.15+git20160109.147.dd1d655-1) unstable; urgency=medium

  * Initial release, Take 2 (Closes: #798418)
  * Install bash completion for Hugo

 -- Anthony Fok <foka@debian.org>  Mon, 11 Jan 2016 16:09:38 -0700

hugo (0.15+git20151224.105.1d6286b-1) unstable; urgency=medium

  * Initial release (Closes: #798418)

 -- Anthony Fok <foka@debian.org>  Thu, 24 Dec 2015 13:18:27 -0700
