## hugo 0.15+git20160128.179.5def6d9

=== debian/control ===
Source: hugo
Section: web
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               bash-completion,
               golang-go [amd64 arm64 armel armhf i386 ppc64 ppc64el],
               gccgo [!amd64 !arm64 !armel !armhf !i386 !ppc64 !ppc64el],
               golang-bitbucket-pkg-inflect-dev,
               golang-toml-dev (>= 0.1.0+git20150501.21.056c9bc) | golang-github-burntsushi-toml-dev,
               golang-github-dchest-cssmin-dev,
               golang-github-eknkc-amber-dev,
               golang-websocket-dev | golang-github-gorilla-websocket-dev,
               golang-github-kardianos-osext-dev,
               golang-pretty-dev | golang-github-kr-pretty-dev,
               golang-github-miekg-mmark-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-puerkitobio-purell-dev,
               golang-github-russross-blackfriday-dev,
               golang-github-spf13-afero-dev (>= 0.0~git20160125.0.a5d3e7c),
               golang-github-spf13-cast-dev,
               golang-github-spf13-cobra-dev (>= 0.0~git20160117.0.8e91712),
               golang-github-spf13-fsync-dev (>= 0.0~git20151208.0.c2544e7),
               golang-github-spf13-jwalterweatherman-dev,
               golang-github-spf13-nitro-dev,
               golang-github-spf13-viper-dev,
               golang-github-stretchr-testify-dev,
               golang-github-yosssi-ace-dev,
               golang-x-text-dev | golang-golang-x-text-dev,
               golang-github-go-fsnotify-fsnotify-dev (>= 1.2.9),
               golang-yaml.v2-dev | golang-gopkg-yaml.v2-dev
Standards-Version: 3.9.6
Homepage: http://gohugo.io/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/hugo.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/hugo.git
XS-Go-Import-Path: github.com/spf13/hugo

Package: hugo
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: Fast and flexible Static Site Generator written in Go
 Hugo is a static site generator written in Go. It is optimized for speed,
 ease of use, and configurability. Hugo takes a directory with content and
 templates, and renders them into a full HTML website.
 .
 Hugo relies on Markdown files with front matter for meta data. And you
 can run Hugo from any directory. This works well for shared hosts and
 other systems where you don’t have a privileged account.
 .
 Hugo renders a typical website of moderate size in a fraction of a
 second. A good rule of thumb is that each piece of content renders in
 around 1 millisecond.
 .
 Hugo is meant to work well for any kind of website including blogs,
 tumblelogs and docs.
 .
 Complete documentation is available at http://gohugo.io/

Package: golang-github-spf13-hugo-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-bitbucket-pkg-inflect-dev,
         golang-github-burntsushi-toml-dev | golang-toml-dev (>= 0.1.0+git20150501.21.056c9bc),
         golang-github-dchest-cssmin-dev,
         golang-github-eknkc-amber-dev,
         golang-github-gorilla-websocket-dev | golang-websocket-dev,
         golang-github-kardianos-osext-dev,
         golang-github-kr-pretty-dev | golang-pretty-dev,
         golang-github-miekg-mmark-dev,
         golang-github-mitchellh-mapstructure-dev,
         golang-github-puerkitobio-purell-dev,
         golang-github-russross-blackfriday-dev,
         golang-github-spf13-afero-dev (>= 0.0~git20160125.0.a5d3e7c),
         golang-github-spf13-cast-dev,
         golang-github-spf13-cobra-dev (>= 0.0~git20160117.0.8e91712),
         golang-github-spf13-fsync-dev (>= 0.0~git20151208.0.c2544e7),
         golang-github-spf13-jwalterweatherman-dev,
         golang-github-spf13-nitro-dev,
         golang-github-spf13-viper-dev,
         golang-github-stretchr-testify-dev,
         golang-github-yosssi-ace-dev,
         golang-golang-x-text-dev | golang-x-text-dev,
         golang-github-go-fsnotify-fsnotify-dev (>= 1.2.9),
         golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev
Description: Go source code and library of Hugo the static website generator
 Hugo is a static site generator written in Go. It is optimized for speed,
 ease of use, and configurability. Hugo takes a directory with content and
 templates, and renders them into a full HTML website.
 .
 This package contains Hugo’s source code and helper libraries.
Section: devel
Priority: extra
