## hugo 0.15+git20160206.203.ed23711

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                golang-github-mitchellh-mapstructure-dev,
                golang-github-puerkitobio-purell-dev,
                golang-github-russross-blackfriday-dev,
-               golang-github-spf13-afero-dev (>= 0.0~git20160125.0.a5d3e7c),
+               golang-github-spf13-afero-dev (>= 0.0~git20160201.0.4c1d2aa),
                golang-github-spf13-cast-dev,
                golang-github-spf13-cobra-dev (>= 0.0~git20160117.0.8e91712),
                golang-github-spf13-fsync-dev (>= 0.0~git20151208.0.c2544e7),
@@ -75,7 +75,7 @@
          golang-github-mitchellh-mapstructure-dev,
          golang-github-puerkitobio-purell-dev,
          golang-github-russross-blackfriday-dev,
-         golang-github-spf13-afero-dev (>= 0.0~git20160125.0.a5d3e7c),
+         golang-github-spf13-afero-dev (>= 0.0~git20160201.0.4c1d2aa),
          golang-github-spf13-cast-dev,
          golang-github-spf13-cobra-dev (>= 0.0~git20160117.0.8e91712),
          golang-github-spf13-fsync-dev (>= 0.0~git20151208.0.c2544e7),
