=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/hugo-$1\.tar\.gz/ \
  https://github.com/spf13/hugo/tags .*/v?(\d\S*)\.tar\.gz
