=== debian/changelog ===
hugo (0.16-2) unstable; urgency=medium

  * Build with golang-any (>= 2:1.7~1)

 -- Anthony Fok <foka@debian.org>  Wed, 24 Aug 2016 10:49:32 -0600

hugo (0.16-1) unstable; urgency=medium

  * New upstream release
  * Refresh dependencies in debian/control:
    - Replace architecture-specific hack with golang-any in Build-Depends
    - Remove old transitional alternate dependencies
    - Update several versioned dependencies

 -- Anthony Fok <foka@debian.org>  Sun, 12 Jun 2016 02:16:18 -0600

hugo (0.15+git20160427.545.0903886-1) unstable; urgency=medium

  * New upstream snapshot
  * Update debian/control
    - Bump Standards-Version to 3.9.8 (no change)
    - Use secure https URLs for Vcs-Git and Homepage fields
    - New dependency on golang-github-kyokomi-emoji-dev
    - Change dependency on golang-github-go-fsnotify-fsnotify-dev to
      its new name golang-github-fsnotify-fsnotify-dev,
      golang-pretty-dev to golang-github-kr-pretty-dev,
      and golang-x-text-dev to golang-golang-x-text-dev
  * Refresh 001-disable-google-analytics-in-docs.patch
  * Refresh debian/copyright

 -- Anthony Fok <foka@debian.org>  Sat, 30 Apr 2016 03:37:41 +0800
