## hugo 0.18

=== debian/changelog ===
hugo (0.18-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 0.18. Closes: #846552, #848406
    - Update Build-Depends with currently needed packages
    - Refresh patch
    - Add new patch to disable git information in docs
  * Use debhelper v10
  * Disable network access during testing by using -test.short flag
  * Remove no longer needed lintian override
  * Update debian/copyright for new upstream files

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 22 Dec 2016 17:43:52 +0100
