## hugo 0.18.1

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,7 @@
 COMMIT_HASH=`git rev-parse --short HEAD 2>/dev/null`
 BUILD_DATE=`date +%FT%T%z`
 LDFLAGS=-ldflags "-X github.com/spf13/hugo/hugolib.CommitHash=${COMMIT_HASH} -X github.com/spf13/hugo/hugolib.BuildDate=${BUILD_DATE}"
-
-DIRS=$(shell go list -f {{.Dir}} ./...)
+PACKAGES = $(shell govendor list -no-status +local | sed 's/github.com.spf13.hugo/./')
 
 all: gitinfo
 
@@ -34,36 +33,51 @@
 	docker cp hugo-build:/go/bin/hugo .
 	docker rm hugo-build
 
+govendor:
+	go get -u github.com/kardianos/govendor
+	go install github.com/kardianos/govendor
+	govendor sync github.com/spf13/hugo
 
 check: fmt vet test test-race
 
 cyclo:
-	@for d in $(DIRS) ; do \
+	@for d in `govendor list -no-status +local | sed 's/github.com.spf13.hugo/./'` ; do \
 		if [ "`gocyclo -over 20 $$d | tee /dev/stderr`" ]; then \
 			echo "^ cyclomatic complexity exceeds 20, refactor the code!" && echo && exit 1; \
 		fi \
 	done
 
 fmt:
-	@for d in $(DIRS) ; do \
+	@for d in `govendor list -no-status +local | sed 's/github.com.spf13.hugo/./'` ; do \
 		if [ "`gofmt -l $$d/*.go | tee /dev/stderr`" ]; then \
 			echo "^ improperly formatted go files" && echo && exit 1; \
 		fi \
 	done
 
 lint:
-	@if [ "`golint ./... | tee /dev/stderr`" ]; then \
-		echo "^ golint errors!" && echo && exit 1; \
-	fi
+	@for d in `govendor list -no-status +local | sed 's/github.com.spf13.hugo/./'` ; do \
+		if [ "`golint $$d | tee /dev/stderr`" ]; then \
+			echo "^ golint errors!" && echo && exit 1; \
+		fi \
+	done
+
+get:
+	go get -v -t ./...
 
 test:
-	go test ./...
+	govendor test +local
 
 test-race:
-	go test -race ./...
+	govendor test -race +local
 
 vet:
-	@if [ "`go vet ./... | tee /dev/stderr`" ]; then \
+	@if [ "`govendor vet +local | tee /dev/stderr`" ]; then \
 		echo "^ go vet errors!" && echo && exit 1; \
 	fi
 
+test-cover-html:
+	echo "mode: count" > coverage-all.out
+	$(foreach pkg,$(PACKAGES),\
+		govendor test -coverprofile=coverage.out -covermode=count $(pkg);\
+		tail -n +2 coverage.out >> coverage-all.out;)
+	go tool cover -html=coverage-all.out
