=== debian/changelog ===
hugo (0.18.1-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 0.18.1
    - Add new patch to prevent test failures, can be dropped with 0.19
  * Enable parallel building again, it was not the source of the FTBFS

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 30 Dec 2016 17:01:10 +0100

hugo (0.18-2) unstable; urgency=medium

  * Disable parallel building to prevent FTBFS

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 24 Dec 2016 11:51:17 +0100
