=== debian/control ===
--- 
+++ 
@@ -3,20 +3,23 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-golang,
                bash-completion,
                golang-any (>= 2:1.7~1),
-               golang-bitbucket-pkg-inflect-dev,
-               golang-github-burntsushi-toml-dev,
+               golang-github-bep-gitmap-dev,
+               golang-github-bep-inflect-dev,
                golang-github-dchest-cssmin-dev,
                golang-github-eknkc-amber-dev,
+               golang-github-fortytw2-leaktest-dev,
+               golang-github-fsnotify-fsnotify-dev (>= 1.3.0-3),
                golang-github-gorilla-websocket-dev,
                golang-github-kardianos-osext-dev,
-               golang-github-kr-pretty-dev,
                golang-github-kyokomi-emoji-dev,
                golang-github-miekg-mmark-dev,
                golang-github-mitchellh-mapstructure-dev,
+               golang-github-nicksnyder-go-i18n-dev,
+               golang-github-pelletier-go-toml-dev,
                golang-github-puerkitobio-purell-dev,
                golang-github-russross-blackfriday-dev,
                golang-github-spf13-afero-dev (>= 0.0~git20160605.0.1a8ecf8),
@@ -25,12 +28,12 @@
                golang-github-spf13-fsync-dev (>= 0.0~git20151208.0.c2544e7),
                golang-github-spf13-jwalterweatherman-dev (>= 0.0~git20160311.0.33c24e7),
                golang-github-spf13-nitro-dev,
+               golang-github-spf13-pflag-dev,
                golang-github-spf13-viper-dev,
                golang-github-stretchr-testify-dev,
                golang-github-yosssi-ace-dev,
                golang-golang-x-text-dev,
-               golang-github-fsnotify-fsnotify-dev (>= 1.3.0-3),
-               golang-yaml.v2-dev | golang-gopkg-yaml.v2-dev
+               golang-gopkg-yaml.v2-dev
 Standards-Version: 3.9.8
 Homepage: https://gohugo.io/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/hugo.git
@@ -66,30 +69,33 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-bitbucket-pkg-inflect-dev,
-         golang-github-burntsushi-toml-dev,
+         golang-github-bep-gitmap-dev,
+         golang-github-bep-inflect-dev,
          golang-github-dchest-cssmin-dev,
          golang-github-eknkc-amber-dev,
+         golang-github-fortytw2-leaktest-dev,
+         golang-github-fsnotify-fsnotify-dev (>= 1.3.0-3),
          golang-github-gorilla-websocket-dev,
          golang-github-kardianos-osext-dev,
-         golang-github-kr-pretty-dev,
          golang-github-kyokomi-emoji-dev,
          golang-github-miekg-mmark-dev,
          golang-github-mitchellh-mapstructure-dev,
+         golang-github-nicksnyder-go-i18n-dev,
+         golang-github-pelletier-go-toml-dev,
          golang-github-puerkitobio-purell-dev,
          golang-github-russross-blackfriday-dev,
          golang-github-spf13-afero-dev (>= 0.0~git20160605.0.1a8ecf8),
          golang-github-spf13-cast-dev,
          golang-github-spf13-cobra-dev (>= 0.0~git20160607.0.1238ba1),
          golang-github-spf13-fsync-dev (>= 0.0~git20151208.0.c2544e7),
-         golang-github-spf13-jwalterweatherman-dev,
+         golang-github-spf13-jwalterweatherman-dev (>= 0.0~git20160311.0.33c24e7),
          golang-github-spf13-nitro-dev,
+         golang-github-spf13-pflag-dev,
          golang-github-spf13-viper-dev,
          golang-github-stretchr-testify-dev,
          golang-github-yosssi-ace-dev,
          golang-golang-x-text-dev,
-         golang-github-fsnotify-fsnotify-dev (>= 1.3.0-3),
-         golang-gopkg-yaml.v2-dev | golang-yaml.v2-dev
+         golang-gopkg-yaml.v2-dev
 Description: Go source code and library of Hugo the static website generator
  Hugo is a static site generator written in Go. It is optimized for speed,
  ease of use, and configurability. Hugo takes a directory with content and
