=== debian/changelog ===
hugo (0.25.1-2) unstable; urgency=medium

  * Add 003-accommodate-gccgo-in-TestMethodToName.patch
    to allow the test to pass with gccgo.
  * Get hugo to build on mips, mipsel and mips64el:
     1. Add e.g. "-tags mipsle" as appropriate so that golang.org/x/sys/unix
        builds correctly before the release of GCC 7.2 which hopefully
        contains the harmonized GOARCH values for gccgo.
        See https://github.com/golang/go/issues/18031
     2. Run "go install" and "go test" in single thread and allow retries
        to beat the "waitid: bad address" error on mips and mipsel.
        See https://bugs.debian.org/867358

 -- Anthony Fok <foka@debian.org>  Thu, 03 Aug 2017 02:06:42 -0600

hugo (0.25.1-1) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * New upstream version 0.25.1
  * Rename -dev package to golang-github-gohugoio-hugo-dev following
    upstream’s move from github.com/spf13/hugo to github.com/gohugoio/hugo
    - Update Go-Import-Path
    - Update source URL in debian/copyright
    - Rename debhelper install file for -dev package
  * Update Build-Deps
    - golang-github-burntsushi-toml-dev
    - golang-github-chaseadamsio-goorgeous-dev
    - golang-github-hashicorp-go-immutable-radix-dev
    - golang-golang-x-image-dev
  * Add Testsuite: autopkgtest-pkg-go
  * Update to Standards-Version 4.0.0: Use HTTPS URL for debian/copyright

  [ Anthony Fok ]
  * Special thanks to Dr. Tobias Quathamer who have created the following
    new Debian package specifically for the new Hugo release:
    - golang-github-chaseadamsio-goorgeous-dev
    - golang-golang-x-image-dev
  * Add Dr. Tobias Quathamer to the list of Uploaders
  * Refresh 002-do-not-use-git-information-in-docs.patch
  * Delete 003-update-dateFormat-test-expectations-for-epoch-values.patch
    which was previously cherry-picked from upstream
  * Add CI=true to skip new Git tests which upstream also skips on Travis CI
  * Update debian/watch for the spf13 → gohugoio migration
  * Update copyright year and files list in debian/copyright

 -- Anthony Fok <foka@debian.org>  Mon, 24 Jul 2017 16:38:35 -0600
