=== debian/control ===
Source: hugo
Section: web
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>,
           Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: debhelper (>= 10),
               bash-completion,
               dh-golang,
               golang-any,
               golang-github-bep-gitmap-dev,
               golang-github-bep-inflect-dev,
               golang-github-burntsushi-toml-dev,
               golang-github-chaseadamsio-goorgeous-dev,
               golang-github-dchest-cssmin-dev,
               golang-github-eknkc-amber-dev,
               golang-github-fortytw2-leaktest-dev,
               golang-github-fsnotify-fsnotify-dev,
               golang-github-gorilla-websocket-dev,
               golang-github-hashicorp-go-immutable-radix-dev,
               golang-github-kardianos-osext-dev,
               golang-github-kyokomi-emoji-dev,
               golang-github-miekg-mmark-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-nicksnyder-go-i18n-dev,
               golang-github-puerkitobio-purell-dev,
               golang-github-russross-blackfriday-dev,
               golang-github-spf13-afero-dev,
               golang-github-spf13-cast-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-fsync-dev,
               golang-github-spf13-jwalterweatherman-dev,
               golang-github-spf13-nitro-dev,
               golang-github-spf13-pflag-dev,
               golang-github-spf13-viper-dev,
               golang-github-stretchr-testify-dev,
               golang-github-yosssi-ace-dev,
               golang-golang-x-image-dev,
               golang-golang-x-text-dev,
               golang-gopkg-yaml.v2-dev
Standards-Version: 4.0.0
Homepage: https://gohugo.io/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/hugo.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/hugo.git
XS-Go-Import-Path: github.com/gohugoio/hugo
Testsuite: autopkgtest-pkg-go

Package: hugo
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: Fast and flexible Static Site Generator written in Go
 Hugo is a static site generator written in Go. It is optimized for speed,
 ease of use, and configurability. Hugo takes a directory with content and
 templates, and renders them into a full HTML website.
 .
 Hugo relies on Markdown files with front matter for meta data. And you
 can run Hugo from any directory. This works well for shared hosts and
 other systems where you don’t have a privileged account.
 .
 Hugo renders a typical website of moderate size in a fraction of a
 second. A good rule of thumb is that each piece of content renders in
 around 1 millisecond.
 .
 Hugo is meant to work well for any kind of website including blogs,
 tumblelogs and docs.
 .
 Complete documentation is available at https://gohugo.io/

Package: golang-github-gohugoio-hugo-dev
Section: devel
Priority: extra
Architecture: all
Replaces: golang-github-spf13-hugo-dev (<< 0.25.1-1~)
Breaks: golang-github-spf13-hugo-dev (<< 0.25.1-1~)
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-bep-gitmap-dev,
         golang-github-bep-inflect-dev,
         golang-github-burntsushi-toml-dev,
         golang-github-chaseadamsio-goorgeous-dev,
         golang-github-dchest-cssmin-dev,
         golang-github-eknkc-amber-dev,
         golang-github-fortytw2-leaktest-dev,
         golang-github-fsnotify-fsnotify-dev,
         golang-github-gorilla-websocket-dev,
         golang-github-hashicorp-go-immutable-radix-dev,
         golang-github-kardianos-osext-dev,
         golang-github-kyokomi-emoji-dev,
         golang-github-miekg-mmark-dev,
         golang-github-mitchellh-mapstructure-dev,
         golang-github-nicksnyder-go-i18n-dev,
         golang-github-puerkitobio-purell-dev,
         golang-github-russross-blackfriday-dev,
         golang-github-spf13-afero-dev,
         golang-github-spf13-cast-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-fsync-dev,
         golang-github-spf13-jwalterweatherman-dev,
         golang-github-spf13-nitro-dev,
         golang-github-spf13-pflag-dev,
         golang-github-spf13-viper-dev,
         golang-github-stretchr-testify-dev,
         golang-github-yosssi-ace-dev,
         golang-golang-x-image-dev,
         golang-golang-x-text-dev,
         golang-gopkg-yaml.v2-dev
Description: Go source code and library of Hugo the static website generator
 Hugo is a static site generator written in Go. It is optimized for speed,
 ease of use, and configurability. Hugo takes a directory with content and
 templates, and renders them into a full HTML website.
 .
 This package contains Hugo’s source code and helper libraries.
