## hugo 0.26

=== debian/changelog ===
hugo (0.26-1) unstable; urgency=medium

  * New upstream version 0.26
  * Update dependencies:
    - Replace golang-github-bep-inflect-dev with
      golang-github-markbates-inflect-dev
    - Add golang-github-jdkato-prose-dev
  * Update Files listing in debian/copyright
  * Upgrade debian/watch to version 4 format
  * Reformat debian/control with "cme fix dpkg", and bump Standards-Version
    to 4.1.1: Change -dev package priority from extra to optional
  * Refresh 002-do-not-use-git-information-in-docs.patch
  * Delete 003-accommodate-gccgo-in-TestMethodToName.patch which has been
    accepted upstream, see https://github.com/gohugoio/hugo/pull/3747
  * Delete 001-disable-google-analytics-in-docs.patch
    which cannot be applied to Hugo's revamped documentation
  * Disable "hugo -s docs" run because Git submodule
    docs/themes/gohugoioTheme is not checked out

 -- Anthony Fok <foka@debian.org>  Mon, 13 Nov 2017 11:45:19 -0700
