=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: hugo
-Section: web
-Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>,
            Dr. Tobias Quathamer <toddy@debian.org>
+Section: web
+Testsuite: autopkgtest-pkg-go
+Priority: optional
 Build-Depends: debhelper (>= 10),
                bash-completion,
                dh-golang,
                golang-any,
                golang-github-bep-gitmap-dev,
-               golang-github-bep-inflect-dev,
                golang-github-burntsushi-toml-dev,
                golang-github-chaseadamsio-goorgeous-dev,
                golang-github-dchest-cssmin-dev,
@@ -18,13 +18,15 @@
                golang-github-fsnotify-fsnotify-dev,
                golang-github-gorilla-websocket-dev,
                golang-github-hashicorp-go-immutable-radix-dev,
+               golang-github-jdkato-prose-dev,
                golang-github-kardianos-osext-dev,
                golang-github-kyokomi-emoji-dev,
+               golang-github-markbates-inflect-dev,
                golang-github-miekg-mmark-dev,
                golang-github-mitchellh-mapstructure-dev,
                golang-github-nicksnyder-go-i18n-dev,
                golang-github-puerkitobio-purell-dev,
-               golang-github-russross-blackfriday-dev,
+               golang-github-russross-blackfriday-dev (>= 1.4+git20170728.51.4048872-1~),
                golang-github-spf13-afero-dev,
                golang-github-spf13-cast-dev,
                golang-github-spf13-cobra-dev,
@@ -38,12 +40,11 @@
                golang-golang-x-image-dev,
                golang-golang-x-text-dev,
                golang-gopkg-yaml.v2-dev
-Standards-Version: 4.0.0
-Homepage: https://gohugo.io/
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/hugo.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/hugo.git
+Homepage: https://gohugo.io/
 XS-Go-Import-Path: github.com/gohugoio/hugo
-Testsuite: autopkgtest-pkg-go
 
 Package: hugo
 Architecture: any
@@ -69,15 +70,11 @@
  Complete documentation is available at https://gohugo.io/
 
 Package: golang-github-gohugoio-hugo-dev
+Architecture: all
 Section: devel
-Priority: extra
-Architecture: all
-Replaces: golang-github-spf13-hugo-dev (<< 0.25.1-1~)
-Breaks: golang-github-spf13-hugo-dev (<< 0.25.1-1~)
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          golang-github-bep-gitmap-dev,
-         golang-github-bep-inflect-dev,
          golang-github-burntsushi-toml-dev,
          golang-github-chaseadamsio-goorgeous-dev,
          golang-github-dchest-cssmin-dev,
@@ -86,8 +83,10 @@
          golang-github-fsnotify-fsnotify-dev,
          golang-github-gorilla-websocket-dev,
          golang-github-hashicorp-go-immutable-radix-dev,
+         golang-github-jdkato-prose-dev,
          golang-github-kardianos-osext-dev,
          golang-github-kyokomi-emoji-dev,
+         golang-github-markbates-inflect-dev,
          golang-github-miekg-mmark-dev,
          golang-github-mitchellh-mapstructure-dev,
          golang-github-nicksnyder-go-i18n-dev,
@@ -106,6 +105,8 @@
          golang-golang-x-image-dev,
          golang-golang-x-text-dev,
          golang-gopkg-yaml.v2-dev
+Breaks: golang-github-spf13-hugo-dev (<< 0.25.1-1~)
+Replaces: golang-github-spf13-hugo-dev (<< 0.25.1-1~)
 Description: Go source code and library of Hugo the static website generator
  Hugo is a static site generator written in Go. It is optimized for speed,
  ease of use, and configurability. Hugo takes a directory with content and
