=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,8 @@
 endif
 	$(HUGO) gen autocomplete --completionfile=debian/hugo.bash-completion
 	$(HUGO) gen man --dir=debian/man
-	# TODO: Add "hugo-docs" package in the future
-	$(HUGO) -s docs -d public/html --uglyURLs
+	# TODO: Add "hugo-docs" package in the future?
+	#$(HUGO) -s docs -d public/html --uglyURLs
 
 # Disable network access during testing by using -test.short flag,
 # and skip Git tests which upstream has also disabled for Travis CI.
