## hugo 0.35

=== debian/changelog ===
hugo (0.35-1) unstable; urgency=medium

  * New upstream version 0.35 (Closes: #861492)
    - Update dependencies for new upstream version
    - Add new patch to wrap overly long lines. This fixes a lintian error.
    - Add lintian override for wrong error.
  * Update d/copyright
    - Add information for goHugoioTheme
    - Add information for missing files
    - Remove files which are no longer in upstream's tarball
  * Remove special handling of MIPS architecture.
    This reverts c15ac1c
  * Use debhelper v11
  * Update Standards-Version to 4.1.3, no changes needed
  * Add testdata to DH_GOLANG_INSTALL_EXTRA

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 12 Feb 2018 22:24:30 +0100
