=== debian/control ===
--- 
+++ 
@@ -5,26 +5,28 @@
 Section: web
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               bash-completion,
+Build-Depends: bash-completion,
+               debhelper (>= 11),
                dh-golang,
                golang-any,
+               golang-github-alecthomas-chroma-dev,
                golang-github-bep-gitmap-dev,
                golang-github-burntsushi-toml-dev,
                golang-github-chaseadamsio-goorgeous-dev,
-               golang-github-dchest-cssmin-dev,
+               golang-github-disintegration-imaging-dev,
                golang-github-eknkc-amber-dev,
                golang-github-fortytw2-leaktest-dev,
                golang-github-fsnotify-fsnotify-dev,
+               golang-github-gobwas-glob-dev,
                golang-github-gorilla-websocket-dev,
                golang-github-hashicorp-go-immutable-radix-dev,
                golang-github-jdkato-prose-dev,
-               golang-github-kardianos-osext-dev,
                golang-github-kyokomi-emoji-dev,
                golang-github-markbates-inflect-dev,
                golang-github-miekg-mmark-dev,
                golang-github-mitchellh-mapstructure-dev,
                golang-github-nicksnyder-go-i18n-dev,
+               golang-github-olekukonko-tablewriter-dev,
                golang-github-puerkitobio-purell-dev,
                golang-github-russross-blackfriday-dev (>= 1.4+git20170728.51.4048872-1~),
                golang-github-spf13-afero-dev,
@@ -38,9 +40,11 @@
                golang-github-stretchr-testify-dev,
                golang-github-yosssi-ace-dev,
                golang-golang-x-image-dev,
+               golang-golang-x-net-dev,
+               golang-golang-x-sync-dev,
                golang-golang-x-text-dev,
                golang-gopkg-yaml.v2-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/hugo.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/hugo.git
 Homepage: https://gohugo.io/
@@ -48,8 +52,7 @@
 
 Package: hugo
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
 Description: Fast and flexible Static Site Generator written in Go
  Hugo is a static site generator written in Go. It is optimized for speed,
@@ -72,26 +75,26 @@
 Package: golang-github-gohugoio-hugo-dev
 Architecture: all
 Section: devel
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: golang-github-alecthomas-chroma-dev,
          golang-github-bep-gitmap-dev,
          golang-github-burntsushi-toml-dev,
          golang-github-chaseadamsio-goorgeous-dev,
-         golang-github-dchest-cssmin-dev,
+         golang-github-disintegration-imaging-dev,
          golang-github-eknkc-amber-dev,
          golang-github-fortytw2-leaktest-dev,
          golang-github-fsnotify-fsnotify-dev,
+         golang-github-gobwas-glob-dev,
          golang-github-gorilla-websocket-dev,
          golang-github-hashicorp-go-immutable-radix-dev,
          golang-github-jdkato-prose-dev,
-         golang-github-kardianos-osext-dev,
          golang-github-kyokomi-emoji-dev,
          golang-github-markbates-inflect-dev,
          golang-github-miekg-mmark-dev,
          golang-github-mitchellh-mapstructure-dev,
          golang-github-nicksnyder-go-i18n-dev,
+         golang-github-olekukonko-tablewriter-dev,
          golang-github-puerkitobio-purell-dev,
-         golang-github-russross-blackfriday-dev,
+         golang-github-russross-blackfriday-dev (>= 1.4+git20170728.51.4048872-1~),
          golang-github-spf13-afero-dev,
          golang-github-spf13-cast-dev,
          golang-github-spf13-cobra-dev,
@@ -103,8 +106,12 @@
          golang-github-stretchr-testify-dev,
          golang-github-yosssi-ace-dev,
          golang-golang-x-image-dev,
+         golang-golang-x-net-dev,
+         golang-golang-x-sync-dev,
          golang-golang-x-text-dev,
-         golang-gopkg-yaml.v2-dev
+         golang-gopkg-yaml.v2-dev,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Breaks: golang-github-spf13-hugo-dev (<< 0.25.1-1~)
 Replaces: golang-github-spf13-hugo-dev (<< 0.25.1-1~)
 Description: Go source code and library of Hugo the static website generator
